package cokr.xit.ens.biz.iup.code;

import cokr.xit.ens.core.code.CodeMapperType;


/**
 * <ul>
 * <li>업무 그룹명: 민자고속도로 전자고지 상태코드</li>
 * <li>설 명: </li>
 * <li>작성일: 2022. 2. 15. 오후 3:51:43
 * </ul>
 * @author 박민규
 */

public enum IupPrcsCd implements CodeMapperType {

    TGRG("대상등록중")
    ,TGRI("대상이관등록대기")
    ,TGRF("대상등록실패")
    ,TGRC("대상등록완료")
    ,GRUR("결제URL생성중")
    ,GRUC("결제URL생성완료")
    ,CICV("변환대상입수")
    ,CICC("변환대상입수완료")
    ,COMP("변환완료")
    ,INCM("입수중")
    ,IPCP("입수완료")
    ,FAIL("입수오류")
    ;

    private final String code;
    private final String codeNm;
    IupPrcsCd(String codeNm) {
        this.code = this.name();
        this.codeNm = codeNm;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getCodeNm() {
        return this.codeNm;
    }
}
